LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XDragGestureListener Interface Referencepublished

This interface will be used by a XDragGestureRecognizer when it detects a drag initiating gesture. More...

`import"XDragGestureListener.idl";`

Inheritance diagram for XDragGestureListener:

## Public Member Functions
void | dragGestureRecognized ([in] DragGestureEvent dge)
| A XDragGestureRecognizer has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface will be used by a XDragGestureRecognizer when it detects a drag initiating gesture.

The implementor of this interface is responsible for starting the drag as a result of receiving such notification.

## Member Function Documentation

## ◆ dragGestureRecognized()

void dragGestureRecognized | ( | [in] DragGestureEvent | dge | ) |

A XDragGestureRecognizer has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

Parameters

  dge | The DragGestureEvent describing the gesture that has just occurred.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XDragGestureListener.idl